checkmark-backgrounds {
    background-color:#999; /*gris*/
    background-color:#595959; /*gris fonce*/
    background-color:#C8AD7F; /*beige*/
    background-color:#111; /*noir*/
    background-color:#0000b3; /*bleu*/
    background-color:#582900; /*marron*/
    background-color:#e6c300; /*jaune*/
    background-color:#776722; /*kaki*/
    background-color:#fd6c9e; /*rose*/
    background-color:#cc0000; /*rouge*/
    background-color:#008000; /*vert*/
    background-image:linear-gradient(to right, red,orange,yellow,green,blue,indigo,violet); /*multicolore*/
    background-color:#fff;  border : solid 1px #111; /*blanc/bord noir*/
  }

/*-------------------------------------------*/
/*                RADIO COLOR                */
/*-------------------------------------------*/

/* Hide the browser's default checkbox */
.product-color-btn input , .product-size-btn input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
  }
/* Create a custom checkbox */
.checkmark-radio  {
    position: absolute;
    top: 0;
    left: -5px;
    height: 50px;
    width: 50px;
    border-radius: 50%;
  }
  
  .product-color-btn:hover input ~ .checkmark-radio {
    cursor:pointer
  }
  /* When the checkbox is checked, add a blue background */
  .product-color-btn input:checked ~ .checkmark-radio {
    border: solid 3px #111;
  }
  
  /* Create the checkmark/indicator (hidden when not checked) */
  .checkmark-radio:after {
    content: "";
    position: absolute;
    display: none;
  }
  
  /* Show the checkmark when checked */
  .product-color-btn input:checked ~ .checkmark-radio:after {
    display: block;
  }

/*-------------------------------------------*/
/*                RADIO SIZE                 */
/*-------------------------------------------*/

/* Create a custom checkbox */
.checkmark-radio-size , .checkmark-radio-size-unique {
    position: absolute;
    top: 0;
    left: 0;
    height: 50px;
    background-color: #fff;
    border: solid 1px #111;
  }
  .checkmark-radio-size {
    width: 50px;
  }
  .checkmark-radio-size-unique {
    width: 150px;
  }
  .taille , .taille-unique {
    position: absolute;
    padding-left:2px;
    top: 0;
    left: 0;
    height: 50px;
    font-size: 1.5rem;
    font-weight: bold;
  }
  .taille {
    width: 50px;
  }
  .taille-unique {
    width: 150px;  
  }
  
  /* On mouse-over, add a grey background color */
  .product-size-btn:hover input ~ .checkmark-radio-size , .product-size-btn-unique:hover input ~ .checkmark-radio-size-unique {
    background-color: #ccc;
    cursor: pointer;
  }
  
  /* When the checkbox is checked, add a blue background */
  .product-size-btn input:checked ~ .checkmark-radio-size , .product-size-btn-unique input:checked ~ .checkmark-radio-size-unique {
    border: solid 3px #111;
  }
  
  /* Create the checkmark/indicator (hidden when not checked) */
  .checkmark-radio-size:after , .checkmark-radio-size-unique:after {
    content: "";
    position: absolute;
    display: none;
  }
  
  /* Show the checkmark when checked */
  .product-size-btn input:checked ~ .checkmark-radio-size:after , .product-size-btn input:checked ~ .checkmark-radio-size:after {
    display: block;
  }

  @media (max-width: 992px) {
    .checkmark-radio  {     
      height: 35px;
      width: 35px; 
    }
    .checkmark-radio-size, .product-size-btn span {
      width: 35px;
      height: 35px;
    }
    .taille , .taille-unique {
      position: absolute;
      top: 0;
      left: 0;
      height: 35px;
      font-size: 1rem;
      font-weight: bold;
    }
  }